# pandas.expanding_count

`pandas.``expanding_count`(arg, freq=None)

  Expanding count of number of non-NaN observations.

  Parameters:

  arg : DataFrame or numpy ndarray-like

  freq : string or DateOffset object, optional (default None)

  > Frequency to conform the data to before computing the statistic. Specified as a frequency string or DateOffset object.

  Returns: | expanding_count : type of caller

  Notes

  The freq keyword is used to conform time series data to a specified frequency by resampling the data. This is done with the default parameters of `resample()` (i.e. using the mean).